package com.bomostory.sceneeditmodule.navigationbar.actor

import android.graphics.drawable.Drawable
import android.support.v7.widget.RecyclerView
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.example.tfat.myapplication.R
import kotlinx.android.synthetic.main.item_actor.view.*

class ObjectAdapter(var data: ArrayList<String>, var onTouchListeners: ArrayList<View.OnTouchListener>): RecyclerView.Adapter<ObjectAdapter.ViewHolder>() {


    override fun getItemCount(): Int {
        return data.size
    }

    override fun onBindViewHolder(holder: ViewHolder, position: Int) {
        holder.bind(data?.get(position), onTouchListeners[position])
//        holder.bind(data?.get(position))
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ObjectAdapter.ViewHolder {
        val v1 = LayoutInflater.from(parent.context).inflate(R.layout.dialogue_item, parent, false)
        return ViewHolder(v1)
    }

    class ViewHolder (view : View) : RecyclerView.ViewHolder(view) {
        fun bind(ObjectResource: String, onTouchListener: View.OnTouchListener) {
            itemView.actor_image.setImageDrawable(Drawable.createFromPath(ObjectResource))
            itemView.actor_image.setOnTouchListener(onTouchListener)
        }
    }
//    class ViewHolder (view : View) : RecyclerView.ViewHolder(view) {
//        fun bind(ObjectResource: String) {
//            itemView.actor_image.setImageDrawable(Drawable.createFromPath(ObjectResource))
//        }
//    }
}